-- converts the local (mod environment) l10n texts to global ones (only for the current modEnvironment)
-- by modelleicher (Farming Agency)

l10n_localToGlobal = {}
l10n_localToGlobal.modName = g_currentModName

-- attach to I18N getText to get "self"
function l10n_localToGlobal.getText(self, superFunc, text, env)

    local returnValues = superFunc(self, text, env)

	if text ~= nil and string.find(returnValues, "Missing") ~= nil and string.find(returnValues, text) ~= nil and g_i18n.modEnvironments ~= nil then
		returnValues = superFunc(g_i18n.modEnvironments["FS22_CAFE_EnhancedSheepFeed"], text, env)
	end
    
    return returnValues
end
I18N.getText = Utils.overwrittenFunction(I18N.getText, l10n_localToGlobal.getText)




