loadFillTypes = {}

local modDirectory = g_currentModDirectory

function loadFillTypes.loadFillTypesFromXML(self, superFunc)
    superFunc(self)

    if fileExists(modDirectory.."xml/fillTypes.xml") then
        local xml = loadXMLFile("mod_fillTypes", modDirectory .. "xml/fillTypes.xml")
        g_fillTypeManager:loadFillTypes(xml, modDirectory, false, "FS22_CAFE_EnhancedSheepFeed")
        delete(xml)
    else
        print("Warning: Can't load '"..tostring(modDirectory.."xml/fillTypes.xml").."' no custom FillTypes will be loaded!")
    end
end
FillTypeManager.loadDefaultTypes = Utils.overwrittenFunction(FillTypeManager.loadDefaultTypes, loadFillTypes.loadFillTypesFromXML)
